import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.awt.Color;

/**
 * Board is the base of the etchAsketch drawing screen.
 * 
 * @author Jules Bonin-Ducharme  
 * @version 1.1
 */

public class Board extends World
{
    /**
     * Constructor for objects of class Board.
     * 
     */
    public Board()
    {    
        // Create a new world with 600X480 cells with a cell size of 1X1 pixels.
        super(600, 480, 1); 
        
        // Draw the red background
        GreenfootImage background = getBackground();
        background.setColor(Color.red);
        background.fill();
        
        // Draw the text
        background.setColor(Color.black);
        background.setFont(new java.awt.Font("SansSerif", java.awt.Font.BOLD, 48));
        background.drawString("etch-A-sketch", 130, 450);
        
        // Add the gray screen
        Screen screen = new Screen();
        addObject(screen, 300, 225);   

        // Add the drawing magnet
        addObject(new Magnet(screen), 300, 225);
        
        // Add the buttons
        addObject(new Button("up", "down"), 550, 435);
        addObject(new Button("left", "right"), 50, 435);
    }
    
}
