import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Button simulates the buttons on the etch-A-sketch
 * 
 * @author Jules Bonin-Ducharme
 * @version 1.1
 */
public class Button  extends Actor
{
    private int angle;
    private String rotateLeft;
    private String rotateRight;

    /**
     * Construct a button that rotates responding to up and down or left and right.
     */
    public Button(String rotLeft, String rotRight)
    {
        rotateLeft = rotLeft;
        rotateRight = rotRight;
        getImage().scale(60,60);
        angle = 0;
    }
    
    /**
     * Act - do whatever the Button wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {
        if (Greenfoot.isKeyDown(rotateLeft))
            angle += 5;
            
        if (Greenfoot.isKeyDown(rotateRight))
            angle -= 5;
        
        setRotation(angle);
    }    
}
