import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.awt.Color;

/**
 * Screen is the surface that actually does the drawing.
 * 
 * @author Jules Bonin-Ducharme 
 * @version 1.1
 */
public class Screen  extends Actor
{
    private GreenfootImage blankScreen;
    private boolean isDown;
    /**
     * Constructs a lightGray screen.
     */
    public Screen()
    {
        drawBlankScreen();
    }
    
    /**
     * Draw a blank light gray screen.
     */
    public void drawBlankScreen()
    {
        blankScreen = new GreenfootImage(500, 350);
        blankScreen.setColor(Color.lightGray);
        blankScreen.fill();
        blankScreen.setColor(Color.black);
        blankScreen.drawRect(0,0,499,349);
        setImage(blankScreen);
    }
    
    /**
     * Act - do whatever the Screen wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {
        while (Greenfoot.isKeyDown("space"))
        {
            if (!isDown) 
                drawBlankScreen();
            isDown = true;
            setLocation(300, 240);
            Greenfoot.delay(5);
            setLocation(300, 225);
            Greenfoot.delay(5);
        }
        
        isDown = false;
    }   
            
}
